%define upstream_name IO-Event
%define upstream_version 0.813

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 3

Summary:    Tied Filehandles for Nonblocking IO with Object Callbacks
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/IO/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(AnyEvent)
BuildRequires: perl(Event)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(IO::Handle)
BuildRequires: perl(IO::Event)
BuildRequires: perl(List::MoreUtils)
BuildRequires: perl(Test::Simple)
BuildRequires: perl(Time::HiRes)
BuildArch:  noarch

%description
IO::Event provides a object-based callback system for handling
nonblocking IO. The design goal is to provide a system that just does
the right thing w/o the user needing to think about it much.

All APIs are kept as simple as possible yet at the same time, all
functionality is accesible if needed. Simple things are easy. Hard
things are possible.

Most of the time file handling syntax will work fine: "<$filehandle>"
and "print $filehandle 'stuff'".

IO::Event provides automatic buffering of output (with a callback to
throttle). It provides automatic line-at-a-time input.

After initial setup, call "IO::Event::loop()".

IO::Event was originally written to use Event. IO::Event still defaults
to using Event but it can now use AnyEvent or its own event loop.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
%makeinstall_std

%files
%doc Changes META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%{perl_vendorlib}/*


%changelog
* Fri Jan 10 2014 dmorgan <dmorgan> 0.813.0-3.mga4
+ Revision: 566154
- Add missing buildrequire for forked2.t

* Sun Oct 20 2013 umeabot <umeabot> 0.813.0-2.mga4
+ Revision: 536776
- Mageia 4 Mass Rebuild

* Tue Sep 24 2013 sander85 <sander85> 0.813.0-1.mga4
+ Revision: 485568
- update to 0.813

* Sat Aug 03 2013 sander85 <sander85> 0.812.0-1.mga4
+ Revision: 463010
- imported package perl-IO-Event

